<?php
declare(strict_types=1);

use Migrations\AbstractMigration;

class HttpSettings extends AbstractMigration {
    /**
     * Change Method.
     *
     * More information on this method is available here:
     * https://book.cakephp.org/phinx/0/en/migrations.html#the-change-method
     * @return void
     */
    public function change(): void {
        $this->table('satellites')
            ->addColumn('use_proxy', 'integer', [
                'default' => null,
                'limit'   => 1,
                'null'    => true
            ])
            ->addColumn('proxy_url', 'string', [
                'limit' => 255,
                'null'  => true,
            ])
            ->addColumn('verify_certificate', 'string', [
                'limit' => 1,
                'null'  => true
            ])
            ->update();
    }
}
