<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace DistributeModule\Model\Entity;

use Cake\ORM\Entity;
use itnovum\openITCOCKPIT\Core\Views\UserTime;

/**
 * SatelliteStatus Entity
 *
 * @property int $id
 * @property int|null $status
 * @property string $last_error
 * @property \Cake\I18n\FrozenTime $last_export
 * @property \Cake\I18n\FrozenTime $last_seen
 * @property int $satellite_id
 *
 * @property \DistributeModule\Model\Entity\Satellite $satellite
 */
class SatelliteStatus extends Entity {

    public const SatelliteStatusNil = 0;
    public const SatelliteStatusOK = 1;
    public const SatelliteStatusFailed = 2;

    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'status'       => true,
        'last_error'   => true,
        'last_export'  => true,
        'last_seen'    => true,
        'satellite_id' => true,
        'satellite'    => true,
    ];
    
}
