angular.module('openITCOCKPIT')
    .controller('SatellitesAddController', function($scope, $http, $state, NotyService, RedirectService){

        $scope.data = {
            createAnother: false
        };

        var clearForm = function(){
            $scope.post = {
                Satellite: {
                    container_id: 0,
                    sync_method: 'https_pull',
                    timezone: '',
                    name: '',
                    address: '',
                    login: 'nagios',
                    port: 22,
                    private_key_path: '/var/lib/nagios/.ssh/id_rsa',
                    remote_port: 4730,
                    url: '',
                    api_key: '',
                    interval: 10,
                    timeout: 300,
                    verify_certificate: 1,
                    use_proxy: 0,
                    proxy_url: '',
                    use_timesync: 0
                },
                protocol: 'https',
                frontendUrl: '',
                proxyProtocol: 'https',
                proxyUrl: ''
            };
        };
        clearForm();

        $scope.loadContainers = function(){
            $http.get("/distribute_module/satellites/loadContainers.json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.containers = result.data.containers;
                $scope.post.Satellite.timezone = result.data.timezone;
            });
        };

        $scope.submit = function(){
            if($scope.post.protocol.length > 0 && $scope.post.Satellite.address.length > 0){
                $scope.post.Satellite.url = $scope.post.protocol + '://' + $scope.post.Satellite.address + '/' + $scope.post.frontendUrl;
            }
            if($scope.post.proxyProtocol.length > 0 && $scope.post.proxyUrl.length > 0){
                $scope.post.Satellite.proxy_url = $scope.post.proxyProtocol + '://' + $scope.post.proxyUrl;
            }
            $http.post("/distribute_module/satellites/add.json?angular=true",
                $scope.post
            ).then(function(result){
                var url = $state.href('SatellitesEdit', {id: result.data.satellite.id});
                NotyService.genericSuccess({
                    message: '<u><a href="' + url + '" class="txt-color-white"> '
                        + $scope.successMessage.objectName
                        + '</a></u> ' + $scope.successMessage.message
                });

                if($scope.data.createAnother === false){
                    RedirectService.redirectWithFallback('SatellitesIndex');
                }else{
                    clearForm();
                    $scope.errors = {};
                    NotyService.scrollTop();
                }

                console.log('Data saved successfully');
            }, function errorCallback(result){
                NotyService.genericError();

                if(result.data.hasOwnProperty('error')){
                    $scope.errors = result.data.error;
                }
            });
        };
        $scope.createApiKey = function(){
            $http.get("/profile/create_apikey.json?angular=true")
                .then(function(result){
                    $scope.post.Satellite.api_key = result.data.apikey;
                });
        };

        $scope.$watch('post.Satellite.use_proxy', function(){
            if($scope.init){
                return;
            }
            if(!$scope.post.Satellite.use_proxy){
                $scope.post.proxyUrl = '';
            }
        }, true);

        //Fire on page load
        $scope.loadContainers();
    });
