angular.module('openITCOCKPIT')
    .controller('SatellitesEditController', function($scope, $http, $state, $stateParams, NotyService, RedirectService){
        $scope.id = $stateParams.id;
        $scope.post = {
            protocol: 'https',
            frontendUrl: '',
            proxyProtocol: 'https',
            proxyUrl: ''
        };

        $scope.loadContainers = function(){
            $http.get("/distribute_module/satellites/loadContainers.json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.containers = result.data.containers;
            });
        };

        $scope.load = function(){
            $http.get("/distribute_module/satellites/edit/" + $scope.id + ".json", {
                params: {
                    'angular': true
                }
            }).then(function(result){
                $scope.post.Satellite = result.data.satellite;
                $scope.post.Satellite.use_proxy = ($scope.post.Satellite.use_proxy)?1:0;
                if($scope.post.Satellite.url.length > 0){
                    $scope.post.protocol = getUrlProtocol($scope.post.Satellite.url);
                    $scope.post.frontendUrl = getUrl($scope.post.Satellite.url, $scope.post.protocol, $scope.post.Satellite.address);
                }
                if($scope.post.Satellite.proxy_url !== null && $scope.post.Satellite.proxy_url.length > 0){
                    $scope.post.proxyProtocol = getUrlProtocol($scope.post.Satellite.proxy_url);
                    $scope.post.proxyUrl = getUrl($scope.post.Satellite.proxy_url, $scope.post.proxyProtocol, '');
                }

            }, function errorCallback(result){
                if(result.status === 403){
                    $state.go('403');
                }

                if(result.status === 404){
                    $state.go('404');
                }
            });
        };

        $scope.submit = function(){
            if($scope.post.protocol.length > 0 && $scope.post.Satellite.address.length > 0){
                $scope.post.Satellite.url = $scope.post.protocol + '://' + $scope.post.Satellite.address + '/' + $scope.post.frontendUrl;
            }
            if($scope.post.proxyProtocol.length > 0 && $scope.post.proxyUrl.length > 0){
                $scope.post.Satellite.proxy_url = $scope.post.proxyProtocol + '://' + $scope.post.proxyUrl;
            }
            $http.post("/distribute_module/satellites/edit/" + $scope.id + ".json?angular=true",
                $scope.post
            ).then(function(result){
                var url = $state.href('SatellitesEdit', {id: result.data.satellite.id});
                NotyService.genericSuccess({
                    message: '<u><a href="' + url + '" class="txt-color-white"> '
                        + $scope.successMessage.objectName
                        + '</a></u> ' + $scope.successMessage.message
                });
                RedirectService.redirectWithFallback('SatellitesIndex');
                console.log('Data saved successfully');
            }, function errorCallback(result){

                NotyService.genericError();

                if(result.data.hasOwnProperty('error')){
                    $scope.errors = result.data.error;
                }
            });
        };

        $scope.createApiKey = function(){
            $http.get("/profile/create_apikey.json?angular=true")
                .then(function(result){
                    $scope.post.Satellite.api_key = result.data.apikey;
                });
        };

        var getUrlProtocol = function(url){
            if(/(https):\/\//i.test(url)){
                return 'https';
            }
            return 'http';
        };

        var getUrl = function(url, protocol, address){
            if(address.length === 0){
                return url.replace(protocol + '://', '');
            }
            return url.replace(protocol + '://' + address + '/', '');
        };


        //Fire on page load
        $scope.loadContainers();
        $scope.load();
    });